Package org.jboss.resteasy.core

## Class ResourceLocatorInvoker

- java.lang.Object
- - org.jboss.resteasy.core.ResourceLocatorInvoker

- All Implemented Interfaces:
    `ResourceInvoker`

      public class ResourceLocatorInvoker
      extends Object
      implements ResourceInvoker

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ConcurrentHashMap<Class<?>,​LocatorRegistry>` | `cachedSubresources` |
    `protected boolean` | `hasProduces` |
    `protected InjectorFactory` | `injector` |
    `protected ResourceLocator` | `method` |
    `protected MethodInjector` | `methodInjector` |
    `protected MethodStatisticsLogger` | `methodStatisticsLogger` |
    `protected ResteasyProviderFactory` | `providerFactory` |
    `protected ResourceFactory` | `resource` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceLocatorInvoker​(ResourceFactory resource, InjectorFactory injector, ResteasyProviderFactory providerFactory, ResourceLocator locator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Method` | `getMethod()` |
    `MethodStatisticsLogger` | `getMethodStatisticsLogger()` |
    `boolean` | `hasProduces()` |
    `BuiltResponse` | `invoke​(HttpRequest request, HttpResponse response)` |
    `BuiltResponse` | `invoke​(HttpRequest request, HttpResponse response, Object locator)` |
    `protected BuiltResponse` | `invokeOnTargetObject​(HttpRequest request, HttpResponse response, Object target)` |
    `protected Object` | `resolveTarget​(HttpRequest request, HttpResponse response)` |
    `protected Object` | `resolveTargetFromLocator​(HttpRequest request, HttpResponse response, Object locator)` |
    `void` | `setMethodStatisticsLogger​(MethodStatisticsLogger msLogger)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### injector

          protected InjectorFactory injector

    - #### methodInjector

          protected MethodInjector methodInjector

    - #### resource

          protected ResourceFactory resource

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### method

          protected ResourceLocator method

    - #### cachedSubresources

          protected ConcurrentHashMap<Class<?>,​LocatorRegistry> cachedSubresources

    - #### hasProduces

          protected final boolean hasProduces

    - #### methodStatisticsLogger

          protected MethodStatisticsLogger methodStatisticsLogger

  - ### Constructor Detail

    - #### ResourceLocatorInvoker

          public ResourceLocatorInvoker​(ResourceFactory resource,
                                        InjectorFactory injector,
                                        ResteasyProviderFactory providerFactory,
                                        ResourceLocator locator)

  - ### Method Detail

    - #### hasProduces

          public boolean hasProduces()

      Specified by:
        `hasProduces` in interface `ResourceInvoker`

    - #### resolveTarget

          protected Object resolveTarget​(HttpRequest request,
                                         HttpResponse response)

    - #### resolveTargetFromLocator

          protected Object resolveTargetFromLocator​(HttpRequest request,
                                                    HttpResponse response,
                                                    Object locator)

    - #### getMethod

          public Method getMethod()

      Specified by:
        `getMethod` in interface `ResourceInvoker`

    - #### invoke

          public BuiltResponse invoke​(HttpRequest request,
                                      HttpResponse response)

      Specified by:
        `invoke` in interface `ResourceInvoker`

    - #### invoke

          public BuiltResponse invoke​(HttpRequest request,
                                      HttpResponse response,
                                      Object locator)

      Specified by:
        `invoke` in interface `ResourceInvoker`

    - #### invokeOnTargetObject

          protected BuiltResponse invokeOnTargetObject​(HttpRequest request,
                                                       HttpResponse response,
                                                       Object target)

    - #### setMethodStatisticsLogger

          public void setMethodStatisticsLogger​(MethodStatisticsLogger msLogger)

      Specified by:
        `setMethodStatisticsLogger` in interface `ResourceInvoker`

    - #### getMethodStatisticsLogger

          public MethodStatisticsLogger getMethodStatisticsLogger()

      Specified by:
        `getMethodStatisticsLogger` in interface `ResourceInvoker`